#include "opendylan/run-time.h"

void _Init_dfmc_c_back_end_ () __attribute__((constructor));
void _Init_dfmc_c_back_end_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_typist_();
  extern void _Init_dfmc_conversion_();
  extern void _Init_dfmc_reader_();
  extern void _Init_dfmc_back_end_();
  extern void _Init_dfmc_core_();
  extern void _Init_io_();
  extern void _Init_common_dylan_();
  extern void _Init_big_integers_();
  extern void _Init_dfmc_c_back_end__X_c_back_end_library_for_system();
  extern void _Init_dfmc_c_back_end__X_c_mangle_for_system();
  extern void _Init_dfmc_c_back_end__X_c_back_end_for_system();
  extern void _Init_dfmc_c_back_end__X_c_primitives_for_system();
  extern void _Init_dfmc_c_back_end__X_c_emit_computation_for_system();
  extern void _Init_dfmc_c_back_end__X_c_emit_object_for_system();
  extern void _Init_dfmc_c_back_end__X_c_emit_c_object_for_system();
  extern void _Init_dfmc_c_back_end__X_c_emit_c_computation_for_system();
  extern void _Init_dfmc_c_back_end__X_c_back_end_library_for_user();
  extern void _Init_dfmc_c_back_end__X_c_mangle_for_user();
  extern void _Init_dfmc_c_back_end__X_c_back_end_for_user();
  extern void _Init_dfmc_c_back_end__X_c_primitives_for_user();
  extern void _Init_dfmc_c_back_end__X_c_emit_computation_for_user();
  extern void _Init_dfmc_c_back_end__X_c_emit_object_for_user();
  extern void _Init_dfmc_c_back_end__X_c_emit_c_object_for_user();
  extern void _Init_dfmc_c_back_end__X_c_emit_c_computation_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_typist_();
    _Init_dfmc_conversion_();
    _Init_dfmc_reader_();
    _Init_dfmc_back_end_();
    _Init_dfmc_core_();
    _Init_io_();
    _Init_common_dylan_();
    _Init_big_integers_();
    _Init_dfmc_c_back_end__X_c_back_end_library_for_system();
    _Init_dfmc_c_back_end__X_c_mangle_for_system();
    _Init_dfmc_c_back_end__X_c_back_end_for_system();
    _Init_dfmc_c_back_end__X_c_primitives_for_system();
    _Init_dfmc_c_back_end__X_c_emit_computation_for_system();
    _Init_dfmc_c_back_end__X_c_emit_object_for_system();
    _Init_dfmc_c_back_end__X_c_emit_c_object_for_system();
    _Init_dfmc_c_back_end__X_c_emit_c_computation_for_system();
    _Init_dfmc_c_back_end__X_c_back_end_library_for_user();
    _Init_dfmc_c_back_end__X_c_mangle_for_user();
    _Init_dfmc_c_back_end__X_c_back_end_for_user();
    _Init_dfmc_c_back_end__X_c_primitives_for_user();
    _Init_dfmc_c_back_end__X_c_emit_computation_for_user();
    _Init_dfmc_c_back_end__X_c_emit_object_for_user();
    _Init_dfmc_c_back_end__X_c_emit_c_object_for_user();
    _Init_dfmc_c_back_end__X_c_emit_c_computation_for_user();
  }
}
